
QGIS Application - Bug report #1051

GRASS rasters values/labels are not shown in legend/colormap tab

2008-04-28 09:29 AM - royster -

Status: Open

Priority: Low

Assignee:

Category: Map Legend

Affected QGIS version:3.6.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 11111

Description

GRASS raster maps load without any error messages.  However, the QGIS legend does not list the categories (only the title of the map). 

On clicking onto the map, the numeric ID of the individual raster cells is displayed in the pop-up window, but not the actual category

labels.  I have hit this problem with Ubuntu 7.04 and QGIS 0.8, and Markus Neteler has emailed me reporting the same issue with QGIS

0.9.1, tested using the landuse96_28m map from the NC OSGeo standard dataset.

History

#1 - 2009-07-09 10:02 AM - Giovanni Manghi

Seems to me is still the same under qgis 1.2 from trunk, grass svn under Ubuntu 9.04.

Pushing the milestone to 1.2

#2 - 2011-10-07 11:58 AM - Giovanni Manghi

- Assignee changed from nobody - to Marco Hugentobler

- Pull Request or Patch supplied set to No

- Must fix deleted (No)

- Operating System deleted (All)

- OS version deleted (Ubuntu 7.04, Ubuntu 9.04)

- Target version deleted (Version 1.7.0)

It is a while that we have raster legends in the QGIS TOC.

When loading a (non GRASS) raster the legend in the TOC, this is populated with colors and the respective values (when selecting one of the available

color ramps). If the user choose to use a colormap, or the raster comes already with a colormap, then in the "colormap" tab is possible to manually change

the "label" values (that by default are set equal to the "value" values).

Actually when loading a GRASS raster (with a colormap) the colors are shown in the TOC legend, but not the values. The values are indeed available in

the "colormap" tab.

See #4335 about this issue.

The user can also change manually the "label" values, empty by default, but it would be better to have this column filled with raster category labels, if

available.

To test this behavior just load a DEM into a GRASS mapset, create a morphometric map with r.param.scale (feature option) and add the result to QGIS. If

you want to see the raster category labels created by r.param.scale use r.category.
#3 - 2011-10-07 11:59 AM - Giovanni Manghi

- Subject changed from QGIS fails to display GRASS raster category labels in legend to GRASS rasters values/labels are not shown in legend/colormap 

tab

#4 - 2011-12-16 02:12 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#5 - 2012-04-16 06:22 AM - Paolo Cavallini

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

- Target version changed from Version 1.7.4 to Version 1.8.0

#6 - 2012-09-04 12:03 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#7 - 2014-06-28 07:37 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#8 - 2016-02-19 11:45 AM - Jürgen Fischer

- Assignee deleted (Marco Hugentobler)

#9 - 2017-05-01 01:09 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#10 - 2019-03-09 04:04 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

#11 - 2019-03-09 04:26 PM - Paolo Cavallini

- Resolution deleted (end of life)

- Status changed from Closed to Open

- Affected QGIS version changed from master to 3.6.0

2024-03-13 2/2

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

